Subject: Re: Routing tables associated with VLANs dissappear when parent ethX down/up

From: Patrick McHardy <[email-masked]>
Date: Wed, 21 Nov 2007 21:25:34 +0100

Stephen Hemminger wrote:
> On Wed, 21 Nov 2007 11:51:43 -0800
> Ben Greear <[email-masked]> wrote:
>
>   
>> For consideration, this patch seems to work for me.  I'm not sure
>> why we ever listed to these events.  I've only tested on a NIC that
>> doesn't support hw-accel at the moment..will test with e1000 later.
>>
>> Thanks,
>> Ben
>>
>>     
>
> But then if you are doing bonding or bridging of vlan's 
> and you bring down the root network device, the upper layer is not
> notified (for failover).
>   

operstate should be enough for this I guess. Ben, what does iproute show
for the vlan device when the lower device is down?